#include <stdio.h>
#include "adc.h"

int main()
{
	int ret;
	/* struct_acc구조체 포인터 생성해서 acc_init()으로 객체생성 */
	struct struct_accel *acc;
	/* acc센서 데이터값을 모아논 struct_accel_data포인터 편의를 위한 */
	struct struct_accel_data *data;
	char a;

	/* 생성 */
	acc = acc_init(0, 0, 0);
	/* 직접적인 데이터가 필요한 경우 편리한접근을 위해 대입 */
	data = acc->struct_accel_data;

	while(1) {
		/* 체킹하기위한 함수이다.

			Prototype
			ret = check_adc(int delay, 센서종류 | 센서행동);
			ret는 0 혹은 양의정수.
			adc.h파일을 보면 기술되어 있다.
		*/
		ret = acc->check_acc(50000, ADC_ACCEL | ACC_DIRECTION);
		printf("--------------------------\n%lf %lf %lf\n", data->dxv, data->dyv, data->dzv);
		printf("%d %d %d\n", data->rawx, data->rawy, data->rawz);
		printf("%lf %lf %lf\n", data->xtheta, data->ytheta, data->ztheta);
		printf("%lf %lf %lf\n\n", data->xacc, data->yacc, data->zacc);


		if(ret)
		{
			if(ret == 1)
				printf("\n%d\n", ret);
			else if(ret == 2)
				printf("\n%d\n", ret);
			else if(ret == 3)
				printf("\n%d\n", ret);
			else if(ret == 4)
				printf("\n%d\n", ret);
			sleep(1);
		}
	}

	/* 메모리해제및 종료작업 */
	acc->exit();

	return 0;
}
