
#define BT_SLAVE 0x0
#define BT_MASTER 0x
// 밑의 BT_MASTERn_ID 옆의 주소를 확인해서 자신의 마스터번호를 넣어주세요
//주소는 블루투스에 적힌 밑에 여섯자리입니다.

#define BT_MASTER1 0x1
#define BT_MASTER2 0x2
#define BT_MASTER3 0x3
#define BT_MASTER4 0x4
#define BT_MASTER5 0x5
#define BT_MASTER6 0x6
#define BT_MASTER7 0x7
#define BT_BROADCAST 0xff

#define BT_SLAVE_ID 0xf44341
#define BT_MASTER1_ID 0x21456b
#define BT_MASTER2_ID 0x21447d
#define BT_MASTER3_ID 0x2145bb
#define BT_MASTER4_ID 0x214570
#define BT_MASTER5_ID 0x21456e
#define BT_MASTER6_ID 6
#define BT_MASTER7_ID 7

#define BT_NDEV 4

#define BT_CTL_START 0x1

#define BT_CTL_GAME 0x10
#define BT_CTL_GAME_START 0x0
#define BT_CTL_GAME_END 0x1
#define BT_CTL_GAME_LEFT 0x69
#define BT_CTL_GAME_RIGHT 0x6a
#define BT_CTL_GAME_UP 0x67
#define BT_CTL_GAME_DOWN 0x6c
#define BT_CTL_GAME_SPC 0x39

#define BT_CTL_LAMP 0x11
#define BT_CTL_LAMP_START 0x0
#define BT_CTL_LAMP_END 0x1
#define BT_CTL_LAMP_ON 0x2
#define BT_CTL_LAMP_OFF 0x3

#define BT_CTL_TET 0x12
#define BT_CTL_TET_DATA 0x13
#define BT_CTL_TET_IR 0x14
#define BT_CTL_TET_START 0x0
#define BT_CTL_TET_END 0x1
#define BT_CTL_TET_SET 0x2

#define BT_CTL_DROP 0x20
#define BT_CTL_DROP_START 0x21
#define BT_CTL_DROP_END 0x22
#define BT_CTL_DROP_DATA 0x23
#define BT_CTL_DROP_TILT 0x24

#define BT_CTL_NUMBER 0x
#define BT_CTL_NUMBER_START 0x0
#define BT_CTL_NUMBER_

#define BT_CTL_POCKETMON 0x40
#define BT_CTL_POCKETMON_START 0x41
#define BT_CTL_POCKETMON_VS 0x42
#define BT_CTL_POCKETMON_ATTACK 0x43
#define BT_CTL_POCKETMON_END 0x44
#define BT_CTL_POCKETMON_CONTROL 0x45
#define BT_CTL_POCKETMON_FIGHT 0x46
#define BT_CTL_POCKETMON_NOVS 0x47
#define BT_CTL_POCKETMON_ATTACKED 0x48
#define BT_CTL_POCKETMON_CONTROL_RDY 0x49
#define BT_CTL_POCKETMON_CONTROL_START 0x4a


#define BT_CTL_IR 0xff

#define PACKET_SIZE 16

#define BT_IR_DEV(x) (((x) & 0xf0) >> 4)
#define BT_IR_DOWN(x) ((x) & 1)
#define BT_IR_LEFT(x) ((x) & 2)
#define BT_IR_UP(x) ((x) & 4)
#define BT_IR_RIGHT(x) ((x) & 8)

struct __attribute__((packed)) blue_header {
	unsigned char src;
	unsigned char dest;
};

struct __attribute__((packed)) blue_data {
	unsigned char data[16];
};

struct __attribute__((packed)) blue_packet {
	struct blue_header header;
	unsigned char attat;
	unsigned char ctl;
	unsigned int data[3];
};

struct blue_dev {
	unsigned char ato_num;
	unsigned int dev_id;
};


