#define NEIGHBOR_FRONT_A_IMAGE_PATH		"images/neighbor_front_a.raw"
#define NEIGHBOR_FRONT_B_IMAGE_PATH		"images/neighbor_front_b.raw"
#define NEIGHBOR_LEFT_IMAGE_PATH		"images/neighbor_left.raw"
#define NEIGHBOR_RIGHT_IMAGE_PATH		"images/neighbor_right.raw"
#define NEIGHBOR_UP_IMAGE_PATH			"images/neighbor_up.raw"
#define NEIGHBOR_DOWN_IMAGE_PATH		"images/neighbor_down.raw"

#define NEIGHBOR_MANUAL_IMAGE_PATH		"images/neighbor_manual.raw"

#define NEIGHBOR_IMAGE_X_SIZE			257
#define NEIGHBOR_IMAGE_Y_SIZE			350

#define NEIGHBOR_MANUAL_IMAGE_X_SIZE		440
#define NEIGHBOR_MANUAL_IMAGE_Y_SIZE		280

#define NEIGHBOR_IMAGE_X_OFFSET			191
#define NEIGHBOR_IMAGE_Y_OFFSET			65

#define NEIGHBOR_MANUAL_IMAGE_X_OFFSET		100
#define NEIGHBOR_MANUAL_IMAGE_Y_OFFSET		100

#define NEIGHBOR_IMAGE_SIZE				( NEIGHBOR_IMAGE_X_SIZE * NEIGHBOR_IMAGE_Y_SIZE )
#define NEIGHBOR_MANUAL_IMAGE_SIZE			( NEIGHBOR_MANUAL_IMAGE_X_SIZE * NEIGHBOR_MANUAL_IMAGE_Y_SIZE )

#define LEFT_CLICKED				1
#define RIGHT_CLICKED				2
#define UP_CLICKED				3
#define DOWN_CLICKED				4
#define CENTER					0

#define DOWN_ATTACHED				0
#define RIGHT_ATTACHED				1
#define UP_ATTACHED				2
#define LEFT_ATTACHED				3

#define POWER_OFF				1
#define INFO					2
#define STOP					3

struct neighbor_instance
{
	int attached_flag;
	int prio;
};

unsigned short neighbor_front_a[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_front_b[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_left[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_right[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_up[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_down[NEIGHBOR_IMAGE_SIZE];
unsigned short neighbor_manual[NEIGHBOR_MANUAL_IMAGE_SIZE];

int irda_key=1;
int power_off=0;
int current_prio=0;

void init_neighbor_app(void);
void display_neighbor_image(void);
void display_neighbor_info_image(void);
void *ts_thread_func(void *arg);
int check_click_zone(short x, short y);
void check_to_attach(struct irda_instance *irda, struct neighbor_instance *neighbor);
void update_current_prio(struct neighbor_instance *neighbor);
void cleanup();
