#include <stdio.h>
#include "adc.h"

int main()
{
	int ret;
	struct struct_accel *acc;
	struct struct_accel_data *data;

	acc = acc_init(-0.2, -0.05, -0.2);
	data = acc->struct_accel_data;

	while(1) {
		ret = acc->check_acc(50000, ADC_ACCEL | ACC_MENU_DROP);
		printf("%lf %lf %lf\n", data->dxv, data->dyv, data->dzv);
		printf("%d %d %d\n", data->rawx, data->rawy, data->rawz);
		printf("%lf %lf %lf\n", data->xtheta, data->ytheta, data->ztheta);

		switch(ret) {
			case 1:
			printf("1\n");
			break;
			case 2:
			printf("2\n");
			break;
			case 3:
			printf("3\n");
			break;
			case 4:
			printf("4\n");
			break;
			default:
			printf("0\n");
		}
	}

	acc->exit();

	return 0;
}
	

