#define GAUGE_BAR_IMAGE1_PATH		"images/gauge_bar1.raw"
#define GAUGE_BAR_IMAGE2_PATH		"images/gauge_bar2.raw"
#define GAUGE_BAR_IMAGE3_PATH		"images/gauge_bar3.raw"
#define GAUGE_BAR_IMAGE4_PATH		"images/gauge_bar4.raw"
#define GAUGE_BAR_IMAGE5_PATH		"images/gauge_bar5.raw"
#define GAUGE_BAR_IMAGE6_PATH		"images/gauge_bar6.raw"
#define GAUGE_BAR_IMAGE7_PATH		"images/gauge_bar7.raw"

#define SKILL_THUNDER_IMAGE_PATH	"images/skill_thunder.raw"
#define SKILL_FIRE_IMAGE_PATH		"images/skill_fire.raw"

#define CHARACTER_PICACHU_IMAGE_PATH	"images/character_picachu.raw"
#define CHARACTER_FIRY_IMAGE_PATH	"images/character_firy.raw"

#define GAUGE_BAR_IMAGE_X_SIZE		640
#define GAUGE_BAR_IMAGE_Y_SIZE		30

#define SKILL_IMAGE_X_SIZE		300
#define SKILL_IMAGE_Y_SIZE		300

#define CHARACTER_IMAGE_X_SIZE		100
#define CHARACTER_IMAGE_Y_SIZE		100

#define GAUGE_BAR_IMAGE_X_OFFSET	0
#define GAUGE_BAR_IMAGE_Y_OFFSET	450

#define SKILL_IMAGE_X_OFFSET		170
#define SKILL_IMAGE_Y_OFFSET		90

#define CHARACTER_IMAGE_X_OFFSET	540
#define CHARACTER_IMAGE_Y_OFFSET	0

#define GAUGE_BAR_IMAGE_SIZE		( GAUGE_BAR_IMAGE_X_SIZE * GAUGE_BAR_IMAGE_Y_SIZE )
#define SKILL_IMAGE_SIZE		( SKILL_IMAGE_X_SIZE * SKILL_IMAGE_Y_SIZE )	
#define CHARACTER_IMAGE_SIZE		( CHARACTER_IMAGE_X_SIZE * CHARACTER_IMAGE_Y_SIZE )

#define POCKETMON_PICACHU		1
#define POCKETMON_FIRY			2

#define POWER_CNT_LIMIT			2
#define GAUGE_MAX			6

#define SLEEP_TIME			1

struct pocketmon_blue_packet
{
	int id;
	int race;
	int attack_damage;
};
typedef struct pocketmon_blue_packet p_blue_packet;

struct pocketmon_blue_packet *p_blue_data;
struct blue_packet *bt;

unsigned short gauge_bar[7][GAUGE_BAR_IMAGE_SIZE];
unsigned short skill[SKILL_IMAGE_SIZE];
unsigned short character[CHARACTER_IMAGE_SIZE];

int acc_key=1;
int ts_key=1;
int power_off=0;
int power_cnt=0;
int gauge_cnt=0;
int attack_flag=0;

pthread_mutex_t mutex;

void init_pocketmon_app(void);
void display_pocketmon_image(void);
void *ts_thread_func(void *);
void *acc_thread_func(void *);
void *wind_thread_func(void *);
void *blue_thread_func(void *);
int check_click_zone(short, short);
void cleanup();
