#define DROP_RED_IMAGE1_PATH		"images/drop_r1.raw"
#define DROP_RED_IMAGE2_PATH		"images/drop_r2.raw"
#define DROP_RED_IMAGE3_PATH		"images/drop_r3.raw"

#define DROP_GREEN_IMAGE1_PATH		"images/drop_g1.raw"
#define DROP_GREEN_IMAGE2_PATH		"images/drop_g2.raw"
#define DROP_GREEN_IMAGE3_PATH		"images/drop_g3.raw"

#define DROP_BLUE_IMAGE1_PATH		"images/drop_b1.raw"
#define DROP_BLUE_IMAGE2_PATH		"images/drop_b2.raw"
#define DROP_BLUE_IMAGE3_PATH		"images/drop_b3.raw"

#define DROP_MANUAL_IMAGE_PATH		"images/drop_manual.raw"

#define DROP_IMAGE_X_SIZE		300
#define DROP_IMAGE_Y_SIZE		300

#define DROP_MANUAL_IMAGE_X_SIZE	440
#define DROP_MANUAL_IMAGE_Y_SIZE	280

#define DROP_IMAGE_X_OFFSET		170
#define DROP_IMAGE_Y_OFFSET		90

#define DROP_MANUAL_IMAGE_X_OFFSET	100
#define DROP_MANUAL_IMAGE_Y_OFFSET	100

#define DROP_IMAGE_SIZE			( DROP_IMAGE_X_SIZE * DROP_IMAGE_Y_SIZE )
#define DROP_MANUAL_IMAGE_SIZE		( DROP_MANUAL_IMAGE_X_SIZE * DROP_MANUAL_IMAGE_Y_SIZE )

#define RED_PAINT			0
#define GREEN_PAINT			1
#define BLUE_PAINT			2

#define	POWER_OFF			1
#define INFO				2
#define STOP				3

struct color
{
	int flag;
	int color;
};

unsigned short drop_image1[3][DROP_IMAGE_SIZE];
unsigned short drop_image2[3][DROP_IMAGE_SIZE];
unsigned short drop_image3[3][DROP_IMAGE_SIZE];
unsigned short drop_manual[DROP_MANUAL_IMAGE_SIZE];

int c_table[3][15];
int my_color;
int tran_cnt;

int acc_key=1;
int drop_exec=0;
int power_off=0;

pthread_mutex_t mutex;

void init_drop_app(void);
void display_drop_image(void);
void display_drop_info_image(void);
void init_drop(void);
void drop(int color);
void *ts_thread_func(void *arg);
void *acc_thread_func(void *arg);
int check_click_zone(short x, short y);
void cleanup();
