#define SHOCK_IMAGE1_PATH		"images/shock1.raw"
#define SHOCK_IMAGE2_PATH		"images/shock2.raw"

#define SHOCK_MANUAL_IMAGE_PATH		"images/shock_manual.raw"

#define BOX_OPEN_WAV_PATH		"sound/box_open.wav"

#define SHOCK_IMAGE1_X_SIZE		300
#define SHOCK_IMAGE1_Y_SIZE		300
#define SHOCK_IMAGE2_X_SIZE		300
#define SHOCK_IMAGE2_Y_SIZE		300

#define SHOCK_MANUAL_IMAGE_X_SIZE	440
#define SHOCK_MANUAL_IMAGE_Y_SIZE	280

#define SHOCK_IMAGE_X_OFFSET		170
#define SHOCK_IMAGE_Y_OFFSET		90

#define SHOCK_MANUAL_IMAGE_X_OFFSET	100
#define SHOCK_MANUAL_IMAGE_Y_OFFSET	100

#define SHOCK_IMAGE1_SIZE		( SHOCK_IMAGE1_X_SIZE * SHOCK_IMAGE1_Y_SIZE )
#define SHOCK_IMAGE2_SIZE		( SHOCK_IMAGE2_X_SIZE * SHOCK_IMAGE2_Y_SIZE )
#define SHOCK_MANUAL_IMAGE_SIZE		( SHOCK_MANUAL_IMAGE_X_SIZE * SHOCK_MANUAL_IMAGE_Y_SIZE )
#define BOX_OPEN_WAV_SIZE		50732

#define POWER_OFF			1
#define INFO				2
#define STOP				3

unsigned short shock_image1[SHOCK_IMAGE1_SIZE];
unsigned short shock_image2[SHOCK_IMAGE2_SIZE];
unsigned short shock_manual[SHOCK_MANUAL_IMAGE_SIZE];

unsigned char box_open_wav[BOX_OPEN_WAV_SIZE];

int acc_key=1;

void init_shock_app(void);
void display_shock_image(void);
void display_shock_info_image(void);
void *acc_thread_func(void *arg);
int check_click_zone(short x, short y);
void cleanup();
