#define WIND_IMAGE1_PATH		"images/wind1.raw"
#define WIND_IMAGE2_PATH		"images/wind2.raw"

#define WIND_MANUAL_IMAGE_PATH		"images/wind_manual.raw"

#define WIND_SCREAM_WAV_PATH		"sound/scream.wav"	

#define WIND_IMAGE_X_SIZE		400
#define WIND_IMAGE_Y_SIZE		400

#define WIND_MANUAL_IMAGE_X_SIZE	440
#define WIND_MANUAL_IMAGE_Y_SIZE	280

#define WIND_IMAGE_X_OFFSET		120
#define WIND_IMAGE_Y_OFFSET		40

#define WIND_MANUAL_IMAGE_X_OFFSET	100
#define WIND_MANUAL_IMAGE_Y_OFFSET	100

#define WIND_IMAGE_SIZE			( WIND_IMAGE_X_SIZE * WIND_IMAGE_Y_SIZE )
#define WIND_MANUAL_IMAGE_SIZE		( WIND_MANUAL_IMAGE_X_SIZE * WIND_MANUAL_IMAGE_Y_SIZE )
#define WIND_SCREAM_WAV_SIZE		267308

#define	POWER_OFF			1
#define INFO				2
#define STOP				3

unsigned short wind_image1[WIND_IMAGE_SIZE];
unsigned short wind_image2[WIND_IMAGE_SIZE];
unsigned short wind_manual[WIND_MANUAL_IMAGE_SIZE];

unsigned char wind_scream_wav[WIND_SCREAM_WAV_SIZE];

int acc_key=1;

void init_wind_app(void);
void display_wind_image(void);
void display_wind_info_image(void);
void *wind_thread_func(void *arg);
int check_click_zone(short x, short y);
void cleanup();
